Bug 1314131 - RHEV for Power: VFIO passthrough of SR-IOV virtual functions
Summary: RHEV for Power: VFIO passthrough of SR-IOV virtual functions
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: ppc64le
OS: Linux
high
high
Target Milestone: rc
: 7.4
Assignee: David Gibson
QA Contact: Zhengtong
URL:
Whiteboard:
Keywords: TestOnly
: 1356329 (view as bug list)
Depends On: 1315131 1421940
Blocks: 1401400 RHV4.1PPC 1395265 1427780
TreeView+ depends on / blocked
 
Reported: 2016-03-03 01:03 UTC by David Gibson
Modified: 2017-08-02 03:27 UTC (History)
13 users (show)

(edit)
Clone Of:
: 1427780 (view as bug list)
(edit)
Last Closed: 2017-08-01 23:32:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
IBM Linux Technology Center 143780 None None None 2019-05-06 04:28 UTC

Description David Gibson 2016-03-03 01:03:17 UTC
Description of problem:

Need to test that passthrough of SR-IOV virtual functions works correctly.

AFAIK, the existing VFIO passthrough code should work fine as is, but we need to check.

This relies on underlying host (PowerNV) support for SR-IOV, which appears to be missing so far.  Still trying to locate the correct BZ for that, so I can mark the dependency.

Comment 2 David Gibson 2016-07-15 03:26:31 UTC
*** Bug 1356329 has been marked as a duplicate of this bug. ***

Comment 3 David Gibson 2016-07-15 03:27:20 UTC
This is blocked by lack of host-side SR-IOV support.  Moving back to ASSIGNED state until that's resolved.

Comment 4 David Gibson 2017-01-05 05:57:19 UTC
The host side prerequisite, bug 1315131 is now merged into the RHEL7.4 development tree.  So we should now be able to start testing this.

Since it is TestOnly, moving to ON_QA.

Comment 5 Qunfang Zhang 2017-02-14 07:58:26 UTC
SR-IOV virtual functions could be generated and assigned to guest now, however it doesn't work properly inside guest, QE filed new BZ:

Bug 1421940 - [ppc64le] SR-IOV virtual functions passthrough in VFIO didn't works well in guest

Comment 6 David Gibson 2017-02-15 01:08:23 UTC
Looking at bug 1421940 the VF doesn't initialize in the host, without passthrough, either.  That suggests it is a problem either in a) the VF driver part of be2net or in b) the host side SR-IOV support, rather than a KVM or qemu problem.

Do you have access to any other SR-IOV capable devices, to try to eliminate the VF driver as the cause?

Comment 12 David Gibson 2017-03-20 05:23:15 UTC
Zhengtong, Qunfang,

With the machine borrowed from the RDMA team, are you able to proceed with testing on this bug?  Can I move the status back to ON_QA?

Comment 13 Zhengtong 2017-03-20 06:45:23 UTC
Hi David, I haven't tried with the machine from RDMA yet. But I tried with a intel XL710 adapter occasionally. It worked. So please move the status to ON_QA. I will verify this bug with the machine from RDMA team. thanks.

Comment 15 David Gibson 2017-03-24 02:17:51 UTC
Zhengtong, yes I agree.  I think this bug can be VERIFIED and we track the Mellanox specific problems elsewhere.

Comment 16 Zhengtong 2017-03-24 03:04:29 UTC
Thanks for the confirm , set Verified

Comment 18 errata-xmlrpc 2017-08-01 23:32:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 19 errata-xmlrpc 2017-08-02 01:09:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 20 errata-xmlrpc 2017-08-02 02:01:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 21 errata-xmlrpc 2017-08-02 02:42:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 22 errata-xmlrpc 2017-08-02 03:07:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 23 errata-xmlrpc 2017-08-02 03:27:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.